<?php


namespace App\ViewModels\FormaPagamento\FormaPagamentoUpdateViewModel;


use App\Utils\Builder;
use App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel\FormaPagamentoRegistrationViewModel;

class FormaPagamentoUpdateViewModelBuilder implements Builder
{
    private $descricao;
    private $atualizado_em;
    private $alterado_por;

    /**
     * @param mixed $descricao
     * @return FormaPagamentoUpdateViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $atualizado_em
     * @return FormaPagamentoUpdateViewModelBuilder
     */
    public function setAtualizadoEm($atualizado_em)
    {
        $this->atualizado_em = $atualizado_em;
        return $this;
    }

    /**
     * @param mixed $alterado_por
     * @return FormaPagamentoUpdateViewModelBuilder
     */
    public function setAlteradoPor($alterado_por)
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }


    public function build() : FormaPagamentoUpdateViewModel
    {
        $paciente_update_vm = new FormaPagamentoUpdateViewModel();
        if (isset($this->descricao)) {
            $paciente_update_vm->setDescricao($this->descricao);
        }
        if (isset($this->atualizado_em)) {
            $paciente_update_vm->setAtualizadoEm($this->atualizado_em);
        }
        if (isset($this->alterado_por)) {
            $paciente_update_vm->setAlteradoPor($this->alterado_por);
        }
        return $paciente_update_vm;
    }


}